#!/usr/bin/env python

from MoinMessage import *
from email.mime.text import MIMEText
import sys

if __name__ == "__main__":
    signer = sys.argv[1]
    recipient = sys.argv[2]
    url = sys.argv[3] + "?action=PostMessage"
    args = sys.argv[4:]

    if not args:
        print >>sys.stderr, "Need some updates as arguments to this program."
        sys.exit(1)

    message = Message()

    for arg in args:
        message.add_update([MIMEText(arg, "moin")])

    email_message = message.get_payload()
    gpg = GPG()

    try:
        signed_message = gpg.signMessage(email_message, signer)
        encrypted_message = gpg.encryptMessage(signed_message, recipient)
        print sendMessage(encrypted_message, url)
    except MoinMessageError, exc:
        print exc

# vim: tabstop=4 expandtab shiftwidth=4
